var divHeight = ""; // 查询面板高度
var dataGridWidth = ""; // 查询面板宽度
var clientHeight = "";
var dataGridHeight = "";
var bodyWidth = 0;
var bodyHeight = 0;
var editor = null;
var operation = "";
$(function() {
	divHeight = $("#queryDiv2").height();
	dataGridWidth = document.documentElement.clientWidth;
	clientHeight = document.documentElement.clientHeight;
	$("#addCentralQuestionWinId").window('close');  //添加会员基础信息窗口
	initInputWidth();
	$("#queryDiv").window('close');
	initDataTable();
})

/**
 * 初始化各输入框宽度
 */
function initInputWidth(){
	
	editor = UE.getEditor('questionContentId', {
		initialFrameWidth : fixLongWidth(), 
		initialFrameHeight : 400
	});
	$("#titleId").attr("style","width:"+ (fixLongWidth()-2)+"px");		
	$("#titleId00").attr("style","width:"+ fixShortWidth()+"px");
}
//js时间戳格式化成日期格式
function timestampformat(timestamp) {
	var date = new Date(timestamp);
	var year = date.getFullYear();
	var month = date.getMonth()+1;
	var day = date.getDate();
	return year+"-"+month+"-"+day;
}   

function initDataTable(){
	$("#questionTable").datagrid({
		height:clientHeight-divHeight-27,
		nowrap : true,
		striped : true,
		pagination : true,
		rownumbers : true,
		pageList : [10,20,30,40,50],
		autoRowHeight : false, 
		fitColumns : false,  
		singleSelect : false, //单选
		checkOnSelect  : true,
		selectOnCheck : true,
		remoteSort : true,
		url : '/business/questionManage/queryAllQuestion',
		columns : [ [ {
			field : 'ck',
			title : 'id',
			width : 15, 
			checkbox : true
		},{ 
			field : 'title',
			title : '问题标题',
			width : '700',
			align : 'center',
			formatter : dataStyle
		},{ 
			field : 'createTime',
			title : '发布日期',
			width : '200',
			align : 'center'
		}, { 
			field : 'creator',
			title : '发布人',
			width : '200',
			align : 'center'
		},{ 
			field : 'clickVolume',
			title : '点击量',
			width : '200',
			align : 'center'
		}
		] ]
	});
	}
	//打开查看窗口   打开tab页
	function viewData(id){ 
		$.getJSON("/business/questionManage/queryQuestionById/" + id, function(data) {
			$("#addCentralQuestionForm").form('load', data); 	
			editor.setContent(data.questionContent);  
		});    
		$("#main_area").height((bodyHeight/5)*4);
		$("#addCentralQuestionWinId").window({  
			title : '查看问题信息',  
			width : addWinWidth,
			height : addWinHeight, 
			left : (dataGridWidth - addWinWidth)/2,
			top : (bodyHeight - addWinHeight)/2,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : false, // 是否显示最小化按钮
			maximizable : false, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true 
		}); 
		$("#buttonId01").hide();
		$("#buttonId02").hide();
		$("#addCentralQuestionWinId").window('open');
	}

	function dataStyle(val, row) {
		return '<a class="" href="#" onclick="viewData(\'' + row.id + '\')">'+ row.title + '</a>';
	}
	function doSearch(value){
	    var queryParams = null;
	    $("#CentralQuestionManageTable").datagrid({
			queryParams : {
				queryValue : value
			}
		});
	}
	
/**
 * 打开新增窗口  基本信息
 */
function openAddWin(){
	initInputWidth();
	operation = "add";
	$("#main_area").height();
	$("#addCentralQuestionWinId").window({
		title : '新增问题信息',
		width : addWinWidth,
		height : addWinHeight, 
		left : (dataGridWidth - addWinWidth)/2,
		top : (bodyHeight - addWinHeight)/2,
		closable : true, // 否显示关闭按钮
		collapsible : false, // 是否显示折叠按钮
		minimizable : false, // 是否显示最小化按钮
		maximizable : false, // 是否显示最大化按钮
		close : true, // 初始是否关闭
		modal : true 
	});  
	$("#addCentralQuestionForm").form('clear');
	$("#buttonId01").show();
	$("#buttonId02").show();
	editor.setContent('');  
	$("#addCentralQuestionWinId").window('open');
}

/**
 * 打开修改窗口    基本信息
 */
function openEditWin(){
	$("#addCentralQuestionWinId").form('clear');
	operation = "edit";
	var rows = $('#questionTable').datagrid('getSelections');
	if(rows.length == 1){
		var row = $('#questionTable').datagrid('getSelected');
		$.getJSON("/business/questionManage/queryQuestionById/" + row.id, function(data) {			
			$("#addCentralQuestionForm").form('load', data); 
			editor.setContent(data.questionContent);  
		});    
		$("#main_area").height((bodyHeight/5)*4);
		$("#addCentralQuestionWinId").window({  
			title : '修改问题信息',  
			width : addWinWidth,
			height : addWinHeight, 
			left : (dataGridWidth - addWinWidth)/2,
			top : (bodyHeight - addWinHeight)/2,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : false, // 是否显示最小化按钮
			maximizable : false, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true 
		}); 
		$("#buttonId01").show();
		$("#buttonId02").show();
		$("#addCentralQuestionWinId").window('open');
	}else {
		$.messager.alert('提示', '请选中一条记录 ', 'info');
	}
}
function openQueryWin(row){
	var data = row
	$("#addCentralQuestionForm").form('load', data); 
	editor.setContent(data.questionContent);  
	$("#main_area").height((bodyHeight/5)*4);
	$("#addCentralQuestionWinId").window({  
		title : '查看问题信息',  
		width : addWinWidth,
		height : addWinHeight, 
		left : (dataGridWidth - addWinWidth)/2,
		top : (bodyHeight - addWinHeight)/2,
		closable : true, // 否显示关闭按钮
		collapsible : false, // 是否显示折叠按钮
		minimizable : false, // 是否显示最小化按钮
		maximizable : false, // 是否显示最大化按钮
		close : true, // 初始是否关闭
		modal : true 
	}); 
	$("#buttonId01").hide();
	$("#buttonId02").show();
	$("#addCentralQuestionWinId").window('open');
}

$("#professorNameId").combobox({
	width:fixShortWidth()+4
})
//保存数据
function saveData(){
	var centralQuestionTitle = $("#titleId").val();
	if('add' == operation){
		$.getJSON("/business/questionManage/isExistQuestion?questionTitle="+encodeURI(encodeURI(centralQuestionTitle)),function(json){
			if(json.flag){
				$.messager.alert('提示', json.info, 'error');
			}else { 
				url = "/business/questionManage/addOrUpdateQuestion?operate="+operation;
				$('#addCentralQuestionForm').form('submit',{
					url: url,
					onSubmit: function(){
						return $(this).form('validate');
					},
					success: function(data){
						var data = eval("("+data+")");
						if (data.flag){
							$.messager.alert('提示', data.info, 'ok');
							closeWindow();			
							initDataTable();
						} else {
							$.messager.alert("提示",data.info,'error');
						}
					}
				}); 
						
			}})   
		}
	if('edit' == operation){ 
		var row = $('#questionTable').datagrid('getSelected'); 
		url = "/business/questionManage/addOrUpdateQuestion?operate="+operation+"&questionId="+row.id;
		$('#addCentralQuestionForm').form('submit',{
			url: url,
			onSubmit: function(){
				return $(this).form('validate');
			},
			success: function(data){
				var data = eval("("+data+")")
				if (data.flag){
					$.messager.alert('提示',data.info, 'ok');
					closeWindow();
					
					initDataTable();
				} else {
					$.messager.alert("提示",data.info,'error');
				}
			}
		}); 
	}
}

//删除
function deleteQuestion(){
	var rows = $('#questionTable').datagrid('getChecked');
	if (rows.length !=0 ){
		var jsonIds = arrayTojson(rows);
		$.messager.confirm("删除","确定删除？",function(r){
			if (r){
				var postUrl = '/business/questionManage/deleteQuestions';
				$.post(postUrl,{
					"ids":jsonIds},function(result){
					if (result.flag){
						$.messager.alert('提示',result.info,'ok');
						initDataTable(); 
					} else {
						$.messager.alert('提示',result.info,'error');
						initDataTable();
						return;
					}
				},'json');
			}
		});
	}else{ 
		$.messager.alert('提示', '请选中一条要删除记录', 'info');
	}
}
//关闭窗口  基础信息
function closeWindow(){
	$("#addCentralQuestionWinId").window('close');
}

/**
 * id数组转换为json字符串
 */
function arrayTojson(arr) { 
	var jsonIds = "[";
	for ( var i = 0; i < arr.length; i++) {
		if (i == arr.length - 1) {
			jsonIds += arr[i].id;
		} else {
			jsonIds += arr[i].id + ",";
		}
	}
	jsonIds += "]";

	return jsonIds; 
}
//查询 
function queryData() {
	var questionTitle = $("#titleId00").val();
	var queryParams = null;
  		$("#questionTable").datagrid({
			queryParams : {
				title : questionTitle
			}
		});
}
// 清空查询条件框
function clearQueryForm() {
	$("#queryFormId2").form('clear');
	queryData();
}